Bug 458011 - Review Request: ms-sys - Create DOS/MS-compatible boot records
Summary: Review Request: ms-sys - Create DOS/MS-compatible boot records
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rakesh Pandit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2008-08-06 05:32 UTC by Rahul Sundaram
Modified: 2015-02-20 13:19 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 09:45:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rahul Sundaram 2008-08-06 05:32:36 UTC
SPEC URL: http://sundaram.fedorapeople.org/packages/ms-sys.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/ms-sys-2.1.3-1.fc9.src.rpm
Description: 

This program is used to create DOS/MS-compatible boot records. It is
able to do the same as Microsoft "fdisk /mbr" to a hard disk. It is
also able to do the same as DOS "sys" to a floppy or FAT32 partition
except that it does not copy any system files, only the boot record is
written.

Comment 1 Rakesh Pandit 2008-08-07 17:44:25 UTC
expect a review in few hrs

Comment 2 Rakesh Pandit 2008-08-08 03:39:45 UTC
[x] Build
http://koji.fedoraproject.org/koji/taskinfo?taskID=765906
[x] rpmlint -- clean
[x] package naming
[x] packaging guidlines
[x] md5sum
     srpm source: 6fad0a69ac89440ad4f696dbbbf11497
     source: 6fad0a69ac89440ad4f696dbbbf11497
[!] license -- waiting for confirmation from upstream
[x] spec file in us-en and legible
[x] license text file
[x] Buildrequire
[x] permissions
[x] pkg owns directories created 
[x] %clean and %install contain rm -rf %{buildroot}
[x] translation file handled

Optional:
[!] why using debug option

Key NA = N/A, x = Check, ! = Problem, ? = Not evaluated

Comment 3 Rahul Sundaram 2008-08-09 03:44:44 UTC
Upstream confirmed it is just GPLv2. I have fixed the license tag and disabled the debugging option.

http://sundaram.fedorapeople.org/packages/ms-sys.spec
http://sundaram.fedorapeople.org/packages/ms-sys-2.1.3-2.fc10.src.rpm

Comment 4 Rakesh Pandit 2008-08-09 06:21:21 UTC
[rpmbuild@rocky ~]$ rpmls  ms-sys-2.1.3-2.fc10.src.rpm 
-rwxr-xr-x  ms-sys-2.1.3.tgz
-rwxr-xr-x  ms-sys.spec

It should be 664

Rest things are okay.

Comment 5 Rahul Sundaram 2008-08-09 13:43:18 UTC
Fixed

Comment 6 Rakesh Pandit 2008-08-09 13:55:14 UTC
APPROVED

Comment 7 Rahul Sundaram 2008-08-09 14:07:06 UTC
New Package CVS Request
=======================
Package Name:  ms-sys 
Short Description: Create DOS/MS-compatible boot records
Owners: sundaram
Branches: F-8 F-9 EL-4 EL-5
InitialCC: 
Cvsextras Commits: yes

Comment 8 Kevin Fenzi 2008-08-23 17:42:54 UTC
cvs done.

Comment 9 Rakesh Pandit 2008-09-03 14:01:01 UTC
ping when you importing this ?

Comment 10 Fedora Update System 2008-09-28 13:35:17 UTC
ms-sys-2.1.3-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ms-sys-2.1.3-2.fc9

Comment 11 Fedora Update System 2008-09-28 13:35:21 UTC
ms-sys-2.1.3-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/ms-sys-2.1.3-2.fc8

Comment 12 Rakesh Pandit 2008-09-29 09:45:40 UTC
Closing this as it is already imported.
If some problem persists will be reopened.

Thanks

Comment 13 Fedora Update System 2008-10-09 21:33:43 UTC
ms-sys-2.1.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2008-10-09 21:36:35 UTC
ms-sys-2.1.3-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Kevin Kofler 2008-10-10 07:29:30 UTC
This package contains verbatim copies of various MBRs and boot records stuffed into arrays in the supposedly GPLed source code. Is that legally acceptable?

Comment 16 Alexey Torkhov 2008-12-23 18:10:49 UTC
Are there any progress in clarifying legal status of this package? May be need to ask at fedora-legal list?

Comment 17 Tom "spot" Callaway 2009-03-03 00:34:05 UTC
I can't see anything that gives us permission to distribute or copy (or modify) these MBRs and boot records. This never should have been permitted into Fedora. I'm going to EOL it and block it from rawhide.

Comment 18 Lubomir Rintel 2009-03-05 19:44:01 UTC
(In reply to comment #17)
> I can't see anything that gives us permission to distribute or copy (or modify)
> these MBRs and boot records. This never should have been permitted into Fedora.
> I'm going to EOL it and block it from rawhide.  

We can probably use a modified source tarball that would only contain free boot code (e.g. the MBR code from NetBSD or from FreeDOS). I have no idea how useful would the package be then though.

Comment 19 Judith Thomason 2013-05-16 12:01:09 UTC
May I suggest ms-sys-free ...

"This is a fork of the ms-sys project by Henrik Carlqvist, removing proprietary boot code from the program, leaving only free ones. There is no need to use this version unless you are concerned about the copyright status of the embedded boot code."

http://sourceforge.net/projects/ms-sys-free/

This is useful such as to create a Windows install USB stick from an iso file. Works great.

Comment 20 Kevin Kofler 2013-05-17 00:30:40 UTC
That would be great, but it needs someone to package it and submit a new review request.

Comment 21 Kevin Kofler 2015-02-20 13:19:20 UTC
Actually, is ms-sys-free really Free (or even legally redistributable)? I'm not convinced, seeing how e.g.:
http://sourceforge.net/p/ms-sys-free/code/ci/master/tree/inc/br_fat32fd_0x52.h
says:
> /* br_fat32_0x52.h
> //
> // ANI
> // substring gmbh/tw 14.9.04 
> // modified bootstrap code 0x052 to support FreeDOS
so it looks like this doesn't actually come from the FreeDOS project, but is a derivative work of the proprietary hexdump.


Note You need to log in before you can comment on or make changes to this bug.